<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">

<th:block th:fragment="footer">
	<nav id="tabbar" class="tabbar fixed">
	<!-- <nav id="tabbar" class="tabbar"> -->
		<div class="tabbar-inner">
			<a href="javascript:void(0);" onclick="menu();" class="btn-menu" data-popup-trigger="" data-target="#menu">Menu</a>
			<a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE);" class="btn-my">Mypage</a>
			<a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MAIN);" class="btn-home">Home</a>
			<a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_WISHLIST);" class="btn-wish">Wish</a>
			<a href="javascript:void(0);" onclick="hstr()" class="btn-history">History</a>
		</div>
			<!--
				<span class="txt-balloon" id="tutorial_mycloset" style=""> 툴팁예제</span>
			-->
	</nav>

	<footer>
		<button class="btn_top" title="페이지 맨위로 이동">
			<span>TOP</span>
		</button>
		<section class="f1">
			<div class="inner">
				<ul class="link wider">
					<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_FAQ);">고객센터</a></li>
					<li><a href="javascript:void(0);" onclick="cfnUseTermsLayer();">이용약관</a></li>
					<li><a href="javascript:void(0);" onclick="cfnPrivacyPolicyLayer();">개인정보취급방침</a></li>
				</ul>

				<div class="collapse">
					<div class="btnWrap">
						<button class="btn_infos">아이스타일이십사 주식회사</button>
					</div>
					<ul class="infos info">
						<li class="fn">대표이사 : 윤종선</li>
						<li class="fn">주소 : 서울시 영등포구 은행로 11, 8층(여의도동, 일신빌딩)</li>
						<li class="fn">사업자등록번호 : 116-81-32499 </li>
<!--						<li class="fn">개인정보관리책임자 : 이정득 </li>-->
						<li class="fn">통신판매업신고번호 : 제 2020-서울영등포-1432</li>
						<li class="fn">개인정보보호책임자 : 배기영</li>
						<li class="fn">호스팅 서비스 : 아이스타일이십사㈜</li>
					</ul>
				</div>

				<ul class="link">
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '')}"><a href="http://www.ftc.go.kr/bizCommPop.do?wrkr_no=1168132499" target="_blank" title="새창 열림">사업자정보확인</a></li>
					<li th:if="${isApp != null && isApp == 'true'}"><a href="public://?link=http://www.ftc.go.kr/bizCommPop.do?wrkr_no=1168132499" target="_blank" title="새창 열림">사업자정보확인</a></li>
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '')}"><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_VIEW_NORMAL);">PC버전</a></li>
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '') && osType == 'A'}"><a href="https://play.google.com/store/apps/details?id=com.istyle24.commerce" target="_blank" class="wivisapp">APP 다운로드</a></li>
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '') && osType == 'I'}"><a href="https://apps.apple.com/kr/app/id627774402?mt=8" target="_blank" class="wivisapp">APP 다운로드</a></li>
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '')}"><a href="http://zine.istyle24.com" target="_blank" title="새창 열림" class="t_req">SN&#64;PP</a></li>
					<li th:if="${isApp != null && isApp == 'true'}"><a href="public://?link=http://zine.istyle24.com" target="_blank" title="새창 열림" class="t_req">SN&#64;PP</a></li>
				</ul>
				<ul class="copy">
					<li>COPYRIGHTⓒ2021 STYLE24 ALL RIGHTS RESERVED.</li>
				</ul>
				<ul class="sns">
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '')}"><a href="https://www.instagram.com/style24.official" target="_blank" title="새창 열림" class="insta">Instagram</a></li>
					<li th:if="${isApp != null && isApp == 'true'}"><a href="public://?link=https://www.instagram.com/style24.official" target="_blank" title="새창 열림" class="insta">Instagram</a></li>
					<li th:if="${(isApp == null || isApp == 'false' || isApp == '')}"><a href="https://www.facebook.com/style24.official" target="_blank" title="새창 열림" class="facebook">facebook</a></li>
					<li th:if="${isApp != null && isApp == 'true'}"><a href="public://?link=https://www.facebook.com/style24.official" target="_blank" title="새창 열림" class="facebook">facebook</a></li>
				</ul>
			</div>
		</section>
	</footer>

	<div id="menuFull">
		<div class="fullHead">
			<div class="goHome"><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MAIN);"><img th:src="${@environment.getProperty('domain.uximage')} + '/images/mo/logo_STYLE24_full.png'" alt=""></a></div>
			<a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_APP_SETTING);" class="appSett" th:if="${isApp == 'true'}">AppSetting</a>
			<a href="javascript:menu_cls();" class="menu_cls">close</a>
		</div>
		<div class="fullBody">
			<div class="inner">
				<ul class="fullCate" id="ulQuickMenuCate">
				</ul>
			</div>
			<div class="inner">
				<ul class="flow" id="ulQuickContents">
				</ul>
			</div>
			<div class="inner">
				<div class="btn_group btn_group_flex">
					<div th:if="${sessionInfo == null}"><button type="button" class="btn" onclick="cfnGoToPage(_PAGE_LOGIN);"><span>로그인</span></button></div>
					<div th:if="${sessionInfo != null}"><button type="button" class="btn" onclick="cfnGoToPage(_PAGE_LOGOUT);"><span>로그아웃</span></button></div>
					<div><button type="button" class="btn" onclick="cfnGoToPage(_PAGE_FAQ);"><span>고객센터</span></button></div>
				</div>
			</div>
		</div>
	</div>

	<!-- 배송지관리_팝업 -->
	<div class="modal pop_full adrsChange_Pop" id="adrsChangePop" tabindex="-1" role="dialog" aria-labelledby="adrsChangeLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
			</div>
		</div>
	</div>
	<!-- //배송지관리_팝업 -->

	<!-- 배송지추가_팝업 -->
	<div class="modal pop_full adrsAdd_pop" id="adrsAddPop" tabindex="-1" role="dialog" aria-labelledby="adrsAddLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="refundPop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송지추가_팝업 -->

	<!-- 배송지수정_팝업 -->
	<div class="modal pop_full adrsModify_pop" id="adrsModifyPop" tabindex="-1" role="dialog" aria-labelledby="adrsModifyLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
			</div>
		</div>
		<a href="#close-modal" rel="modal:close" id="adrsAddPop_close" class="close-modal">Close</a>
	</div>
	<!-- //배송지수정_팝업 -->

	<!-- daum 우편번호_팝업 -->
	<!-- 2021.04.02 다음우편번호 공통화 작업 -->
	<!-- 다음우편번호 팝업 -->
	<div class="modal pop_full couponModify_pop adrsAdd_pop" id="daumZipcodePop" tabindex="-1" role="dialog" aria-labelledby="couponModifyLabel" aria-hidden="true" style="z-index:3000;">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div id="zipcode_layer"></div>
			</div>
		</div>
	</div>

	<!-- 2021.04.15 스크립트오류때문에 임시 소스 -->
	<div class="btPopAuto">
		<div class="btPopAuto_head"></div>
		<div class="btPopAuto_body"></div>
	</div>

	<!-- 210623_ 추가 : 최근본상품 -->
	<div id="hstrFull">
		<div class="fullHead">
			<h1 id="htopTitle" >최근 본 상품</h1>
			<a href="javascript:hstr_cls();" class="hstr_cls">close</a>
		</div>
		<div class="fullBody">
			<div class="inner">

				<div class="list_content" id="hstArea">  <!-- 데이터 없을시 클래스 nodata 추가 -->
					<div class="count_wrap">
						<div>
							<p><span id="quickMenuTodayCount">0</span>개의 상품</p>
						</div>
					</div>
					<div class="list_defult"> <!-- 210722_ 추가 : nodata 멘트 영역 -->
						<div>
							<p>최근 본 상품이 없습니다.</p>
						</div>
					</div>
					<div class="itemsGrp" id="quickMenuTodayGoods"> <!-- itemsGrp rank hot deal -->

					</div>
				</div>
			</div>

		</div>
	</div>
	<!-- // 210623_ 추가 : 최근본상품 -->

	<!-- 앱 접근 권한 안내 -->
	<aside class="etcApp" id="accHide" style="display: none;">
		<div class="accWrap">
			<div class="inner">
				<div class="titWrap">
					<h2>앱 접근 권한 안내</h2>
				</div>
			</div>
			<div class="inner">
				<div>
					<img th:src="${@environment.getProperty('domain.uximage')} + '/images/mo/page_accessApp.jpg'" alt="스타일24앱 사용을 위해서는 기기 및 앱 기록, 알림, 카메라, 사진/갤러리, 전화의 선택적 접근 허용이 필요합니다.">
				</div>
			</div>
			<div class="inner">
				<div class="btn_group btn_group_flex">
					<div>
						<button type="button" class="btn btn_dark" id="accBtn"><span>확인</span></button>
					</div>
				</div>
			</div>
		</div>
	</aside>

	<!--앱 마케팅 수신동의-->
	<aside class="etcApp" id="alramHide" style="display: none;">
		<!-- 마케팅 알람 수신 동의 -->
		<div class="alramWrap">
			<div class="inner">
				<div class="titWrap">
					<h2>마케팅 PUSH알림 수신동의</h2>
				</div>
			</div>
			<div class="inner">
				<div>
					<img th:src="${@environment.getProperty('domain.uximage')} + '/images/mo/page_consentAlarm.jpg'" alt="스타일 24에서 진행하는 다양한 혜택 알림을 받아보시겠습니까? 마케팅PUSH알림 수신에 동의하시면 이벤트, 쿠폰, 할인 안내 등 다양한 소식을 받으실 수 있습니다.">
				</div>
				<button class="alramClose" data-role="alramClose" tabindex="0"><a href="javascript:void(0);" id="btnMkPushClose">다음에 받을게요</a></button>
			</div>
			<div class="inner">
				<div class="btn_group btn_group_flex">
					<div><button type="button" id="btnMkPushAgree" class="btn btn_primary"><span>네, 받아볼게요</span></button></div>
				</div>
			</div>
		</div>
	</aside>
	<style>
		.guidance.ontoast {animation: onpop 2s .2s forwards; -webkit-animation: onpop 2s .2s forwards;}
	</style>
	<div id="mkPushAgree" class="guidance ontoast" style="display: none;">
		<p class="tit">마케팅 PUSH 수신동의</p>
		<p class="date"></p>
		<p>광고성 정보 PUSH 알림 수신을 동의하였습니다.<br>알림설정변경은 앱 설정에서 변경 가능합니다.</p>
	</div>

	<div id="mkPushDisAgree" class="guidance ontoast" style="display: none;">
		<p class="tit">마케팅 PUSH 수신거부</p>
		<p class="date"></p>
		<p>광고성 정보 PUSH 알림 수신을 거부하셨습니다.<br>앱 설정에서 변경 가능합니다.</p>
	</div>

	<aside class="etcApp" id="coachHide" style="display: none;">
		<div class="coach">
			<span id="coachmask01"><em></em></span>
			<span id="coachmask02"><em></em></span>
			<span id="coachmask03"><em></em></span>
		</div>
	</aside>

	<aside class="adApp" id="adHide" style="display:none;">
		<div class="adWrap">
			<div class="cont">
				<button data-role="appLink" tabindex="0"><img src="/images/mo/goApp.png" onclick="uifn_goApp();"></button>
				<button class="viewWeb" data-role="adClose" tabindex="0"><a href="javascript:uifn_cls();">웹으로 볼게요</a></button>
			</div>
		</div>
	</aside>
<script th:inline="javascript">
/*<![CDATA[*/
	function uifn_cls(){
		$("#adHide").hide();
	}

	function menu() {
		$("#menuFull").addClass('on');
		return false;
	}

	function menu_cls() {
		$("#menuFull").removeClass('on');
		return false;
	}

	function hstr() { // 210623_ 추가 : 최근본상품 열고 닫기
		$("#hstrFull").addClass('on');
		return false;
	}
	function hstr_cls() {
		$("#hstrFull").removeClass('on');
		return false;
	}

	// 210521_ 수정 : 현재 선택된 on만 오픈.
	$(document).on('click','.hasCate a',function(e){
		$(this).toggleClass('on');
		$(this).next('.depthCate').slideToggle(300);
		$(this).parents('li').siblings('li').find('a').removeClass('on');
		$(this).parents('li').siblings('li').find('.depthCate').slideUp(300);
		return false;
	});

	// 퀵메뉴카테고리
	let fnGetQuickMenuCategory = function(cate1) {
		let tag = '';
		if (cate1 != null) {
			tag += '<li class="hasCate">\n';
			tag += '	<a href="javascript:;"><span>' + cate1.cate1Nm + '</span></a>\n';
			if (cate1.leafYn == 'N' && cate1.cate2List.length > 0) {
				tag += '	<ul class="depthCate">\n';
				tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToCategoryMain(\'' + cate1.cateGb + '\',' + cate1.cate1No + ');"><span>메인</span></a>\n';
				tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + cate1.cateGb + '\',' + cate1.cate1No + ');"><span>전체</span></a>\n';
				$.each(cate1.cate2List, function(idx2, cate2) {
					tag += '		<li><a href="javascript:void(0);" onclick="cfnGoToGoodsList(0,\'' + cate2.cateGb + '\',' + cate2.cate1No + ',' + cate2.cate2No + ');"><span>' + cate2.cate2Nm + '</span></a>\n';
				});
				tag += '	</ul>\n';
			}
			tag += '</li>\n';
		}
		return tag;
	}

	// 퀵메뉴탭 생성
	let fnCreateQuickMenuTab = function() {
		$.getJSON('/display/gnb/tab/list'
			, function(result, status) {
				if (status == 'success') {
					if (result.length > 0) {
						$('#ulQuickMenuCate').html('');
						$('#ulQuickMenuCate').append('<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_ALL_BRAND);"><span>브랜드</span></a></li>\n');

						let allCate = [[${allCateList}]];
						$.each(result, function(idx, item) {
							if (item.contentsType == 'C') { // 컨텐츠유형: 카테고리
								$.each(allCate, function(allCateIdx, allCateItem) {
									if (item.cate1No == allCateItem.cate1No) {
										$('#ulQuickMenuCate').append(fnGetQuickMenuCategory(allCateItem));
									}
								});
							} else if (item.contentsType == 'O') { // 컨텐츠유형: 아울렛
								$('#ulQuickContents').append('<li><a href="javascript:void(0);" onclick="cfnGoToOutletMain(\'G032_103\');"><span>' + item.gtabNm + '</span></a></li>\n');
							} else if (item.contentsType == 'L') { // 컨텐츠유형:링크
								$('#ulQuickContents').append('<li><a href="' + item.linkUrl + '"><span>' + item.gtabNm + '</span></a></li>\n');
							}
						});
					}
				}
			});
	}

	// 최근 본 상품
	let fnGetRecentlyGoods = function() {
		$.getJSON('/goods/recently/list', function(result, status) {
			if (status == 'success') {
				$('#quickMenuTodayGoods').html('');

				$('#quickMenuTodayCount').html(result.length);
				let tag = '';
				if (result.length > 0) {
					$.each(result, function (idx, item) {
						tag += '<div class="item_prod">\n';
						tag += '	<div class="item_state">\n';
						// tag += '		<button type="button" class="itemLike">관심상품 추가</button>\n'; /* 21.07.27 기획 한리더 요청으로 최근본상품 내 위시버튼 제거 */
						tag += '		<a href="javascript:void(0);" onclick="cfnGoToGoodsDetail(\''+item.goodsCd+'\',\'\',\'IN22_01\')" class="itemLink">\n';
						tag += '			<div class="itemPic">\n';
						tag += '				<img class="vLHTC pd_img" src="' + _uploadGoodsUrl + '/' + item.sysImgNm + '" alt="">\n';
						tag += '			</div>\n';
						tag += '		</a>\n';
						tag += '	</div>\n';
						tag += '</div>\n';
					})

				}else {
					// tag += '<div class="list_defult">';
					// tag += '	<div>';
					// tag += '	<p>최근 본 상품이 없습니다.</p>';
					// tag += '	</div>';
					// tag += '</div>';
					$("#hstArea").addClass("nodata");
				}
				$('#quickMenuTodayGoods').html(tag);

			}
		});
	}

	// 팝업
	let fnGetPopup = function(){
		let data = {viewPage : [[${viewPage}]]
					,cateNo : [[${popupCateNo}]]
					,brandCd : [[${popupBrandCd}]]
					,planSq : [[${popupPlanSq}]]
					,preview : [[${preview}]]
					,viewDt : [[${viewDt}]]
		};
		$.getJSON('/display/popup/list', data, function(result, status) {
			if (status === 'success') {
				if(result.dataList != null && result.dataList.length>0){
					let pClass = "";
					if ("H" == result.popupGb){
						pClass = "half";
					}
					let popupYn = "N";
					let popupSq = "";
					let tag = '';
					tag += '<div id="popupMainNotice" class="popup_main_notice '+pClass+' active">\n';  <!-- half 팝업일 경우 : half 클래스 포함 -->
					tag += '	<div class="popup_content">\n';
					if ("H" == result.popupGb){

						$.each(result.dataList, function(idx, item) {
							if(document.cookie.match('(^|;)?style_popup_'+item.popupSq+'=([^;]*)(;|$)')==null) {
								popupSq += item.popupSq +"|";
							}
						});

					tag += '		<div class="popup_header">\n';
					tag += '			<a href="javascript:void(0);" onclick="fnLayerPopupUnexpDaysClose(\''+popupSq+'\',1);" class="btn_underline"> 하루 보지 않기</a>\n';
					tag += '			<a href="javascript:void(0);" id="btnPopupClose" onclick="fnLayerPopupClose();" class="btn_popup_close">닫기</a>\n';
					tag += '		</div>\n';
					}
					tag += '		<div class="popup_body">\n';
					tag += '			<div class="swiper-container">\n';
					tag += '				<div class="swiper-wrapper">\n';
					$.each(result.dataList, function(idx, item) {
						if(document.cookie.match('(^|;)?style_popup_'+item.popupSq+'=([^;]*)(;|$)')==null) {
							tag += '					<div class="swiper-slide">\n';
							if(!gagajf.isNull(item.linkUrl1) && item.linkUrl1 !== "#"){
								let linkTarget = "";
								if ("N" == item.linkTarget){
									linkTarget = "target=\"_blank\"";
								}
							tag += '						<a href="'+ item.linkUrl1 +'" '+linkTarget+' >\n';
							}
							tag += '						<img src="'+ _imgUrl+'/'+item.imgUrl1+'" alt="">\n';
							if(!gagajf.isNull(item.linkUrl1) && item.linkUrl1 !== "#"){
							tag += '						</a>\n';
							}
							tag += '					</div>\n';
							popupYn = "Y";
							popupSq += item.popupSq +"|";
						}
					});
					tag += '				</div>\n';
					tag += '				<div class="swiper-pagination"></div>\n';
					tag += '			</div>\n';
					tag += '		</div>\n';
					if ("F" == result.popupGb){
					tag += '		<div class="popup_footer">\n';
					tag += '			<a href="javascript:void(0);" onclick="fnLayerPopupUnexpDaysClose(\''+popupSq+'\',1);" class="btn_underline"> 하루 보지 않기</a>\n';
					tag += '			<a href="javascript:void(0);" id="btnPopupClose" onclick="fnLayerPopupClose();" class="btn_popup_close">닫기</a>\n';
					tag += '		</div>\n';
					}
					tag += '	</div>\n';
					tag += '</div>\n';

					if (popupYn == "Y"){
						if ($('#popupMainNotice').length === 0) {
							$('body').append(tag);
						}
					}

					/* SLIDE - 메인 공지 팝업 210521_ 수정 : 슬라이드 1개일때 롤링 제거. */
					var popNoticeCont = $('.popup_main_notice .swiper-slide');
					var popNoticeLength = popNoticeCont.length;
					if (popNoticeLength < 2) {
						var popup_main_notice_slide = new Swiper ('.popup_main_notice .swiper-container', {
							loop: false,
							watchOverflow: true, //loop와 함께 사용 불가.
							slidesPerView:'auto',
							spaceBetween: 0,
							speed:1000,
							autoplay: {
								delay: 3000,
								disableOnInteraction: false,
							},
							navigation: {
								nextEl: '.popup_main_notice .swiper-button-next',
								prevEl: '.popup_main_notice .swiper-button-prev',
							},
							pagination: {
								el: '.popup_main_notice .swiper-pagination',
								type: 'fraction',
							},
						});
					} else {
						var popup_main_notice_slide = new Swiper ('.popup_main_notice .swiper-container', {
							loop: true,
							slidesPerView:'auto',
							spaceBetween: 0,
							speed:1000,
							autoplay: {
								delay: 3000,
								disableOnInteraction: false,
							},
							navigation: {
								nextEl: '.popup_main_notice .swiper-button-next',
								prevEl: '.popup_main_notice .swiper-button-prev',
							},
							pagination: {
								el: '.popup_main_notice .swiper-pagination',
								type: 'fraction',
							},
						});
					}

					//백그라운드 스크롤 방지처리 2021-09-06 월
					if($(".popup_main_notice").hasClass("active")){
						$("body").css({"overflow":"hidden"});
						$("html").css({
									"height":"100%",
									"min-height":"100%",
									"overflow":"hidden !important",
									"touch-action":"none"
						});
					}else{
						$("body").css({"overflow":"visible"});
						$("html").css({
									"height":"",
									"min-height":"",
									"overflow":"",
									"touch-action":""
						});
					};

				}
			}
		});
	}

	let fnLayerPopupUnexpDaysClose = function(seq, unexpDays){
		let arrSeq = seq.split("|");
		if (arrSeq.length > 0){
			let todayDate = new Date();
			//todayDate = new Date(parseInt(todayDate.getTime() / 86400000) * 86400000 + 54000000);
			todayDate = new Date(parseInt(todayDate.getTime() / 86400000) * 86400000);	// 당일 자정처리
			todayDate.setDate(todayDate.getDate() + unexpDays);

			$.each(arrSeq, function (idx, item) {
				if (!gagajf.isNull(item)){
					document.cookie = "style_popup_"+item+"=Y; path=/; expires=" + todayDate.toGMTString() + ";";
				}
			});
		}

		fnLayerPopupClose();
	}
	// 창 닫기
	let fnLayerPopupClose = function(){
		$(".popup_main_notice").removeClass("active");

		//백그라운드 스크롤 방지처리 2021-09-06 월
		if($(".popup_main_notice").hasClass("active")){
			$("body").css({"overflow":"hidden"});
			$("html").css({
						"height":"100%",
						"min-height":"100%",
						"overflow":"hidden !important",
						"touch-action":"none"
			});
		}else{
			$("body").css({"overflow":"visible"});
			$("html").css({
						"height":"",
						"min-height":"",
						"overflow":"",
						"touch-action":""
			});
		};
		$('#popupMainNotice').remove();
	}

	$(document).ready(function() {
		// 퀵메뉴탭 조회
		fnCreateQuickMenuTab();

		// 최근 본 상품 조회
		fnGetRecentlyGoods();

		// 팝업조회
		fnGetPopup();

		$.getJSON('/cart/goods/not/soldout/cnt', function (order, status) {
			let cartCnt;
			if (order.cartGoodsList.length > 99) {
				cartCnt = "99+";
			} else {
				cartCnt = order.cartGoodsList.length;
			}

// 			$("header #htopSub .button_wrap .store>span").text(cartCnt);
// 			$("#header .gnb .btn_cart").attr("href", _PAGE_CART);
			if (cartCnt > 0) {
				$('#spanGnbCartCnt').html(cartCnt);
				$('#spanGnbCartCnt').show();
			}
		});

		// 공유하기 기능 추가
		shareUrl = gagajf.getCookie('st24ck_share_url');
		gagajf.setCookie('st24ck_share_url', '', 1);
		if (!gagajf.isNull(shareUrl) && _frontGb === 'M') {
			$("#adHide").show();
		}
	});

	var shareUrl;
	var uifn_goApp = function(){
	 	var aosUrl = 'intent://style24://share?targetUrl=';
	 	var iosUrl = 'style24://share?targetUrl=';
	 	if (_osType === 'A') {
	 		setTimeout(function () {
	 			cfnGoToPage(_PAGE_MAIN);
	 		}, 1500);
	 		aosUrl += shareUrl + '#Intent;package=com.istyle24.commerce;scheme=style24;end';
	 		location.href = aosUrl;
	 	} else if (_osType === 'I') {
	 		iosUrl += shareUrl;
	 		setTimeout(function () {
	 			window.open('https://apps.apple.com/kr/app/id627774402?mt=8');
	 		}, 1500);
	 		location.href = iosUrl;
	 	}
	}

	// 앱 최초기동시 -> 접근권한 안내
	var agreeMarketingPush = function () {
		$('#accHide').show();
		let today = new Date().format('YYYY.MM.DD');
		$('#mkPushAgree > .date').text(today);
		$('#mkPushDisAgree > .date').text(today);
	}

	// 접근권한 확인 -> 앱 마케팅 푸시
	$(document).on('click','#accBtn',function() {
		$('#accHide').hide();
		$('#alramHide').show();
	});

	// 앱마케팅 푸시 수신동의
	$(document).on('click','#btnMkPushAgree',function() {
		$('#alramHide').hide();
		fnSetPush('ON', 'ON');
		$('#mkPushAgree').show();
		guidancepop();
		fnCoach();
	});

	// 앱마케팅푸시 수신거부
	$(document).on('click','#btnMkPushClose',function() {
		$('#alramHide').hide();
		fnSetPush('ON', 'OFF');
		$('#mkPushDisAgree').show();
		guidancepop();
		fnCoach();
	});

	var fnSetPush = function(appPushOnOff, mkPushOnOff) {
		if ( _osType === 'A') {
			window.style24.pushEnable(appPushOnOff);
			window.style24.adEnable(mkPushOnOff);
		} else if (_osType === 'I') {
			window.webkit.messageHandlers.pushEnable.postMessage({'status': appPushOnOff});
			window.webkit.messageHandlers.adEnable.postMessage({'status': mkPushOnOff});
		}
	}

	// 앱푸시여부 얼럿 메시지 내용
	var guidancepop = function() {
		if(!$(".guidance").hasClass("ontoast")){
			$(".guidance").addClass("ontoast");
			setTimeout(function() {
					$(".guidance").removeClass("ontoast");
				}, 2000);
		}
	}

	var fnCoach = function () {
		setTimeout(function() {
					$('#coachHide').show();
				}, 2000);
	}

	// 앱코치
	$('.coach').click(function() {
		var jbTime = 450;
		$( '.coach' ).animate( {
			opacity: '0',
		}, jbTime, function() {
			$( '.coach' ).remove();
			$('#coachHide').hide();
		});
	});

	//백그라운드 스크롤 방지처리 2021-09-06 월
	if($(".popup_main_notice").hasClass("active")){
		$("body").css({"overflow":"hidden"});
		$("html").css({
					"height":"100%",
					"min-height":"100%",
					"overflow":"hidden !important",
					"touch-action":"none"
		});
	}else{
		$("body").css({"overflow":"visible"});
		$("html").css({
					"height":"",
					"min-height":"",
					"overflow":"",
					"touch-action":""
		});
	};


/*]]>*/
</script>

<script th:inline="javascript">
/*<![CDATA[*/
var element_layer = document.getElementById('zipcode_layer');
var cfnGetDaumRoadAddr = function(data) {
	// 팝업에서 검색결과 항목을 클릭했을 때 실행할 코드를 작성하는 부분입니다.
	// 예제를 참고하여 다양한 활용법을 확인해 보세요.
	// 팝업에서 검색결과 항목을 클릭했을때 실행할 코드를 작성하는 부분

	// 도로명 주소의 노출 규칙에 따라 주소를 조합한다.
	// 내려오는 변수가 값이 없는 경우엔 공백('') 값을 가지므로, 이를 참고하여 분기한다.
	let fullRoadAddr = data.roadAddress; // 도로명 주소 변수
	let extraRoadAddr = ''; // 도로명 조합형 주소 변수

	// 법정동명이 있을 경우 추가한다. (법정리는 제외)
	// 법정동의 경우 마지막 문자가 "동/로/가"로 끝난다.
	if (data.bname !== '' && /[동|로|가]$/g.test(data.bname)) {
		extraRoadAddr += data.bname;
	}

	// 2021.08.11 건물명이 제대로 나오지 않음 수정
	// 건물명이 있고, 공동주택일 경우 추가한다.
	//if (data.buildingName !== '' && data.apartment === 'Y') {
	if (data.buildingName !== '') {
		extraRoadAddr += (extraRoadAddr !== '' ? ', ' + data.buildingName : data.buildingName);
	}

	// 도로명, 지번 조합형 주소가 있을 경우, 괄호까지 추가한 최종 문자열을 만든다.
	if (extraRoadAddr !== '') {
		extraRoadAddr = ' (' + extraRoadAddr + ')';
	}

	// 도로명, 지번 주소의 유무에 따라 해당 조합형 주소를 추가한다.
	if (fullRoadAddr !== '') {
		fullRoadAddr += extraRoadAddr;
	}

	return fullRoadAddr;
}

var cfnOpenDaumAddr = function(daumZip) {
	// 다은우편번호팝업 노출
	$("#daumZipcodePop").modal("show");

	if ($('html').hasClass('is-ie')) {
		daumZip.open();
	} else {
		daumZip.embed(element_layer);

		// iframe을 넣은 element를 보이게 한다.
		element_layer.style.display = 'block';

		// iframe을 넣은 element의 위치를 화면의 가운데로 이동시킨다.
		cfnInitLayerPosition();
	}
}

var cfnCloseDaumAddr = function() {

	// iframe을 넣은 element를 안보이게 한다.
	element_layer.style.display = 'none';

	// 다음우편번호팝업 닫기
	$("#daumZipcodePop").modal("hide");
}

// 브라우저의 크기 변경에 따라 레이어를 가운데로 이동시키고자 하실때에는
// resize이벤트나, orientationchange이벤트를 이용하여 값이 변경될때마다 아래 함수를 실행 시켜 주시거나,
// 직접 element_layer의 top,left값을 수정해 주시면 됩니다.
var cfnInitLayerPosition = function() {
	//let width = 420; //우편번호서비스가 들어갈 element의 width
	//let height = 502; //우편번호서비스가 들어갈 element의 height
	let borderWidth = 1; //샘플에서 사용하는 border의 두께

	// 위에서 선언한 값들을 실제 element에 넣는다.
	//element_layer.style.width = width + 'px';
	//element_layer.style.height = height + 'px';
	element_layer.style.border = borderWidth + 'px solid';

	// 실행되는 순간의 화면 너비와 높이 값을 가져와서 중앙에 뜰 수 있도록 위치를 계산한다.
	/*
	element_layer.style.left = (((window.innerWidth || document.documentElement.clientWidth) - width) / 2 - borderWidth) + 'px';
	element_layer.style.top = (((window.innerHeight || document.documentElement.clientHeight) - height) / 2 - borderWidth) + 'px';
	*/

	// 다음 레이어 적용
	$("#__daum__layer_1").css("z-index", 3000);
}

// 다음우편번호팝업 닫기
$("#daumZipcodePop_close").on("click", function(){
	$("#daumZipcodePop").hide();
});
/*]]>*/
</script>

<!-- 네이버페이 유입 공통 적용 스크립트 , 모든 페이지에 노출되도록 설치. 단 전환페이지 설정값보다 항상 하단에 위치해야함 -->
<script type="text/javascript" src="//wcs.naver.net/wcslog.js"> </script>
<script type="text/javascript">
 	if (!wcs_add) var wcs_add={};
 	wcs_add["wa"] = "[[${@environment.getProperty('naverPay.common.certification.key')}]]";
 	if (!_nasa) var _nasa={};
 	if(window.wcs){
 		wcs.inflow("style24.com");
 		wcs_do(_nasa);
 	}
</script>

<!-- Enliple(모비온) Insite breakAway Popup start -->
<script type="text/javascript">
(function(m,b,r,i,s){m.mbris=m.mbris||function(){(m.mbris.q=m.mbris.q||[]).push(arguments)};i=b.createElement(r);i.async=!0;i.defer=!0;i.src="https://cdn.megadata.co.kr/dist/prod/enp_mbris.min.js";0<b.querySelectorAll("script[src*=enp_mbris]").length&&m.ENP_MBRIS_INVOKE?m.ENP_MBRIS_INVOKE():(s=b.getElementsByTagName(r)[0],s.parentNode.insertBefore(i,s))})(window,document,"script");mbris("202108222155731621_is24_3_01,202108222155731621_is24_3_02");
</script>
<!-- Enliple(모비온) Insite breakAway Popup end -->

</th:block>

</html>